interactions:
- request:
    body: ''
    headers:
      accept:
      - '*/*'
      accept-encoding:
      - gzip, deflate
      connection:
      - keep-alive
      host:
      - www.example.com
      user-agent:
      - python-httpx/0.28.1
    method: GET
    uri: https://www.example.com/
  response:
    body:
      string: "<!doctype html>\n<html>\n<head>\n    <title>Example Domain</title>\n\n
        \   <meta charset=\"utf-8\" />\n    <meta http-equiv=\"Content-type\" content=\"text/html;
        charset=utf-8\" />\n    <meta name=\"viewport\" content=\"width=device-width,
        initial-scale=1\" />\n    <style type=\"text/css\">\n    body {\n        background-color:
        #f0f0f2;\n        margin: 0;\n        padding: 0;\n        font-family: -apple-system,
        system-ui, BlinkMacSystemFont, \"Segoe UI\", \"Open Sans\", \"Helvetica Neue\",
        Helvetica, Arial, sans-serif;\n        \n    }\n    div {\n        width:
        600px;\n        margin: 5em auto;\n        padding: 2em;\n        background-color:
        #fdfdff;\n        border-radius: 0.5em;\n        box-shadow: 2px 3px 7px 2px
        rgba(0,0,0,0.02);\n    }\n    a:link, a:visited {\n        color: #38488f;\n
        \       text-decoration: none;\n    }\n    @media (max-width: 700px) {\n        div
        {\n            margin: 0 auto;\n            width: auto;\n        }\n    }\n
        \   </style>    \n</head>\n\n<body>\n<div>\n    <h1>Example Domain</h1>\n
        \   <p>This domain is for use in illustrative examples in documents. You may
        use this\n    domain in literature without prior coordination or asking for
        permission.</p>\n    <p><a href=\"https://www.iana.org/domains/example\">More
        information...</a></p>\n</div>\n</body>\n</html>\n"
    headers:
      Accept-Ranges:
      - bytes
      Alt-Svc:
      - h3=":443"; ma=93600,h3-29=":443"; ma=93600
      Cache-Control:
      - max-age=3078
      Connection:
      - keep-alive
      Content-Type:
      - text/html
      Date:
      - Mon, 18 Aug 2025 21:13:56 GMT
      ETag:
      - '"84238dfc8092e5d9c0dac8ef93371a07:1736799080.121134"'
      Last-Modified:
      - Mon, 13 Jan 2025 20:11:20 GMT
      Vary:
      - Accept-Encoding
      content-length:
      - '1256'
    status:
      code: 200
      message: OK
version: 1